<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>cd.casic.boot</groupId>
		<artifactId>modules</artifactId>
		<version>${revision}</version>
	</parent>

	<artifactId>module-system-biz</artifactId>

	<version>${revision}</version>
	<name>${project.artifactId}</name>

	<dependencies>
		<dependency>
			<groupId>cd.casic.boot</groupId>
			<artifactId>module-system-api</artifactId>
			<version>${revision}</version>
		</dependency>
		<dependency>
			<groupId>cd.casic.boot</groupId>
			<artifactId>module-infra-api</artifactId>
			<version>${revision}</version>
		</dependency>

		<!-- 业务组件 -->
		<dependency>
			<groupId>cd.casic.boot</groupId>
			<artifactId>spring-boot-starter-biz-data-permission</artifactId>
		</dependency>
		<dependency>
			<groupId>cd.casic.boot</groupId>
			<artifactId>spring-boot-starter-biz-tenant</artifactId>
		</dependency>
		<dependency>
			<groupId>cd.casic.boot</groupId>
			<artifactId>spring-boot-starter-biz-ip</artifactId>
		</dependency>

		<!-- Web 相关 -->
		<dependency>
			<groupId>cd.casic.boot</groupId>
			<artifactId>spring-boot-starter-security</artifactId>
		</dependency>

		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-validation</artifactId>
		</dependency>

		<!-- DB 相关 -->
		<dependency>
			<groupId>cd.casic.boot</groupId>
			<artifactId>spring-boot-starter-mybatis</artifactId>
		</dependency>

		<dependency>
			<groupId>cd.casic.boot</groupId>
			<artifactId>spring-boot-starter-redis</artifactId>
		</dependency>

		<!-- Job 定时任务相关 -->
		<dependency>
			<groupId>cd.casic.boot</groupId>
			<artifactId>spring-boot-starter-job</artifactId>
		</dependency>

		<!-- 消息队列相关 -->
		<dependency>
			<groupId>cd.casic.boot</groupId>
			<artifactId>spring-boot-starter-mq</artifactId>
		</dependency>

		<!-- Test 测试相关 -->
		<dependency>
			<groupId>cd.casic.boot</groupId>
			<artifactId>spring-boot-starter-test</artifactId>
			<scope>test</scope>
		</dependency>

		<!-- 工具类相关 -->
		<dependency>
			<groupId>cd.casic.boot</groupId>
			<artifactId>spring-boot-starter-excel</artifactId>
		</dependency>

		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-mail</artifactId>
		</dependency>

		<dependency>
			<groupId>org.dromara.hutool</groupId>
			<artifactId>hutool-extra</artifactId> <!-- 邮件 -->
		</dependency>

	</dependencies>
	<build>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<configuration>
					<annotationProcessorPaths>
						<path>
							<groupId>org.projectlombok</groupId>
							<artifactId>lombok</artifactId>
							<version>${lombok.version}</version>
						</path>
						<path>
							<groupId>org.mapstruct</groupId>
							<artifactId>mapstruct-processor</artifactId>
							<version>${mapstruct.version}</version>
						</path>
					</annotationProcessorPaths>
				</configuration>
			</plugin>
		</plugins>
	</build>
</project>
